Need help? Check out our Support site, then


Connecting Klout using JetPack

  1. I've recently noticed that I can add the URL of my blog to connect it to Klout but I just get a notice saying I should update to the latest version of JetPack.

    All my plugins, including JetPack, are up to date.

    I tried disabling all other plugins and even temporarily changing to the Twenty Eleven theme in case there were any conflicts but I keep getting the same message.

    The blog I need help with is rodneyolsen.net.

  2. The blog you specified at rodneyolsen.net does not appear to be hosted at WordPress.com.

    This support forum is for blogs hosted at WordPress.com. If your question is about a self-hosted WordPress blog then you'll find help at the WordPress.org forums.

    If you don't understand the difference between WordPress.com and WordPress.org, you may find this information helpful.

    If you forgot to include a link to your blog, you can reply and include it below. It'll help people to answer your question.

    This is an automated message.

  3. I fully understand the difference and am using a self hosted WordPress.org installation but the feature I'm asking about is Jetpack which is a WordPress.com product.

  4. Just to be sure, which version of Jetpack are you running?

  5. 1.8.3

  6. Hm, that should work.

    Would you please take a screenshot of the error, upload it via Media -> Add New in your blog's Dashboard, and provide us with the image URL so we can take a look?

    http://en.support.wordpress.com/make-a-screenshot/

  7. This is what I get after I've aded my URL and pressed the authorize button.

    http://rodneyolsen.net/wp-content/uploads/2012/10/ScreenHunter_01-Oct.-26-08.54.gif

  8. I have same problem!

  9. Same problem here.
    With Jetpack 1.8.3.

  10. Please try upgrading to Jetpack 1.9 and let us know if that solves the problem.

  11. Upgrade done.
    And the connection with Klout... let me see.. are fixed! :)

    Thanks.

  12. You're welcome!

  13. Thank you so much for your prompt help. All sorted.

  14. You're welcome too!

  15. Have another message:

    "You must connect your Jetpack plugin to WordPress.com to use this feature."

    Has been upgraded Jetpack 1.9

  16. You may need to reconnect Jetpack.

    To do that, deactivate and delete the Jetpack plugin, then reinstall, reactivate, and reconnect it.

  17. Macmanx , Thank you for your help.

    I try to deactivate and delete the Jetpack plugin and reinstall , reconnect it. But still have "You must connect your Jetpack plugin to WordPress.com to use this feature." this message.

    My Jetpack is upgraded to 1.9.1

  18. Ok, at this point I recommend contacting Klout, as everything appears to be correct on this end.

  19. @oyag543 - Is the "JSON API" module activated? You can check this from the Jetpack modules screen. If it's not, please activate it and let us know if that works.

  20. Thank you very much for help.

    Today Jetpack is upgraded to 1.9.1

    JSON API is activated . screenshot url:
    http://oyag543.files.wordpress.com/2012/10/snap2.jpg

    wordpress myblog screenshot :
    http://oyag543.files.wordpress.com/2012/10/snap3.jpg

    Authorize web url data:
    http://www.oyag.com/wp-login.php?action=jetpack_json_api_authorization&redirect_to=https%3A%2F%2Fpublic-api.wordpress.com%2Foauth2%2Flogin%2F%3Fredirect_uri%3Dhttp%253A%252F%252Fklout.com%252Foauth%252Fcallback%252Fwp%26response_type%3Dcode%26client_id%3D29%26type%3Dweb_server%26action%3Doauth2-login%26blog_id%3D12607870%26blog%26_wpnonce%3Dd6b0d5d080%26wp-submit%3DAuthorizing...%26redirect_to%3Dhttps%253A%252F%252Fpublic-api.wordpress.com%252Foauth2%252Fauthorize%252F%253Fredirect_uri%253Dhttp%25253A%25252F%25252Fklout.com%25252Foauth%25252Fcallback%25252Fwp%2526response_type%253Dcode%2526client_id%253D29%2526type%253Dweb_server%2526jetpack-code%2526jetpack-user-id%253D0%2526action%253Doauth2-login&data=eyJjbGllbnRfaWQiOjI5LCJjbGllbnRfdGl0bGUiOiJLbG91dCIsImNsaWVudF9pbWFnZSI6IiIsInN0YXRlIjoiMTZjNjQ0ODE0YSJ9&token=2g%23BouPIplvM1Fxe9saTCDqYolz2ft%24o%3A1%3A2&timestamp=1351646084&nonce=MVE0cA8VU3&body-hash&signature=51FBCp5CoEh1p%2FsHjY1E7ktTZXU%3D

  21. Do you have any luck if you upgrade to Jetpack 1.9.2?

  22. I am experiencing the same problem ( Jetpack 1.9.2 with JSON API activated, tried uninstall and reinstalling, disconnecting and connecting) with the Klout error message "You must connect your Jetpack plugin to WordPress.com to use this feature."

    I have contacted Klout and they say they don't support this so not their problem.

  23. mpzwemer, what is the URL of the blog?

  24. blog.kaggle.com (self hosted, but can shows up on my wordpress.com via jetpack)

  25. Hm, we seem to be able to connect to your blog just fine. I'm really starting to think this is an error on Klout's end.

    Which version of WordPress are you running?

    Also, would you please try with all plugins except Jetpack temporarily disabled and the Twenty Eleven theme temporarily active (theme functions can sometimes interfere like plugins).

  26. Today Jetpack is upgraded to 1.9.2

    The same error message:
    "You must connect your Jetpack plugin to WordPress.com to use this feature."

    I would like to thank the dedication and efforts of the developers.

  27. Same issue here.

  28. Latest WordPress, latest Jetpack, same issue.

    Tried with all other plugins deactivated, tried with regular blog theme, disconnected, deleted and re-installed Jetpack... Checked with my hosting provider to make sure permissions and requests go through...

    Still persists.

  29. To be honest, I'd recommend checking with Klout on this.

    You are connected to WordPress.com, and we are having no trouble communicating with your Jetpack-powered blog, so the issue appears to be with Klout.

124

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags